curl "https://api.tokenlab.sh/v1/worlds/world_123" \
-H "Authorization: Bearer sk-your-api-key"
import requests
response = requests.get(
"https://api.tokenlab.sh/v1/worlds/world_123",
headers={"Authorization": "Bearer sk-your-api-key"},
)
print(response.json()["world_id"])
const response = await fetch('https://api.tokenlab.sh/v1/worlds/world_123', {
headers: { Authorization: 'Bearer sk-your-api-key' }
});
console.log(await response.json());
{
"world_id": "<string>",
"display_name": "<string>",
"world_marble_url": "<string>",
"assets": {},
"created_at": "2023-11-07T05:31:56Z",
"model": "<string>",
"permission": {},
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"world_prompt": {}
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}Worlds
Get World
Retrieves a completed World Labs Marble world
GET
/
v1
/
worlds
/
{id}
curl "https://api.tokenlab.sh/v1/worlds/world_123" \
-H "Authorization: Bearer sk-your-api-key"
import requests
response = requests.get(
"https://api.tokenlab.sh/v1/worlds/world_123",
headers={"Authorization": "Bearer sk-your-api-key"},
)
print(response.json()["world_id"])
const response = await fetch('https://api.tokenlab.sh/v1/worlds/world_123', {
headers: { Authorization: 'Bearer sk-your-api-key' }
});
console.log(await response.json());
{
"world_id": "<string>",
"display_name": "<string>",
"world_marble_url": "<string>",
"assets": {},
"created_at": "2023-11-07T05:31:56Z",
"model": "<string>",
"permission": {},
"tags": [
"<string>"
],
"updated_at": "2023-11-07T05:31:56Z",
"world_prompt": {}
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}Retrieve a completed Marble World. It must belong to the Workspace associated with the API key.
Path Parameters
string
required
World Labs world ID.
Response
string
World Labs world ID.
string
World Labs Marble URL.
object
Generated world assets when available.
curl "https://api.tokenlab.sh/v1/worlds/world_123" \
-H "Authorization: Bearer sk-your-api-key"
import requests
response = requests.get(
"https://api.tokenlab.sh/v1/worlds/world_123",
headers={"Authorization": "Bearer sk-your-api-key"},
)
print(response.json()["world_id"])
const response = await fetch('https://api.tokenlab.sh/v1/worlds/world_123', {
headers: { Authorization: 'Bearer sk-your-api-key' }
});
console.log(await response.json());
Authorizations
API Key authentication. Create or manage API keys in Dashboard > API > API Keys.
Path Parameters
World ID.